解決 Sublime Text 忽然無法安裝 Package 的問題

剛剛要安裝新的 Package 忽然出現 There are no packages available for installation, 所以 Google 一下, 基本上有兩個原因原因 1, https 協定的憑證錯誤, 基本上這個問題只要把 Package Control.system-ca-bundle 跟 Package Control.merged-ca-bundlen 兩個檔案移除就可以解決, 重新下載憑證就可以了

螢幕截圖 2016-01-04 19.40.25

但是…我遇到的是第二個原因

https://packagecontrol.io/channel_v3.json

螢幕截圖 2016-01-04 19.25.14主機返回空值, 這時候就當然無法安裝套件了, 暫時解決的方法是用檔案庫存資料, 方法是

打開 Package Control.sublime-settings 這個設定, 暫時將 Channel 多一個庫存位置, 當然這只是權宜之計, 等主機恢復記得要改回來喔 ^^

“channels”: [
“https://packagecontrol.io/channel_v3.json”,
“https://web.archive.org/web/20150905194312/https://packagecontrol.io/channel_v3.json”
],

如果有一樣的問題可以到 github 的討論串裡面有回報

更新 :  看起來這個 project 使用的 Linode 主機不太夠力, 開發者需要大家可以慷慨贊助一下, 看有沒有機會可以更換高檔一點的主機, 最後還有就是相關的軟體架構也需要重新改寫擴展, 所以在這個問題還沒有解決之前可能要先撐一陣子囉  X-D

臨時的解決方案 : 自動映射位置 , 每天自動備份一次, 如果有需要請自行取用

將以上位置加入 channels 就可以了

自動產生以上資料的原始碼請參考 這邊